Bug 125093 - [PATCH] finance/aqbanking fails to build with libofx support
Summary: [PATCH] finance/aqbanking fails to build with libofx support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-29 10:10 UTC by Edward.Sanford.Sutton
Modified: 2008-07-09 01:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edward.Sanford.Sutton freebsd_committer 2008-06-29 10:10:03 UTC
When installing finance/aqbanking with "LibOFX support" enabled, it
checks for libofx.3 and a modern ports tree brings in libofx.4 so it
always tries to (re)install it and fails either because finance/libofx
is already installed or because configure errors with the new libofx
version. I was not sure how to disable the build only when the newer
library is installed.

Fix: I marked as broken to make a usable error for those trying to build
with it (support will not just silently vanish to previous users), but
left work to be picked up on by a future porter. I do not use
aqbanking enough to properly test for more than a successful compile
so I have not attempted a further update




LIB_DEPENDS=   gwenhywfar.48:${PORTSDIR}/devel/gwenhywfar

-OPTIONS=       OFX             "LibOFX support"        off     \
+OPTIONS=       OFX             "LibOFX support (BROKEN)"       off     \
                KTOBLZCHECK     "KtoBlzCheck support"   off

 GNU_CONFIGURE= yes
@@ -46,6 +46,7 @@
 .include <bsd.port.pre.mk>

 .if defined(WITH_OFX)
+BROKEN=                Does not compile with libofx>=0.9.0
 LIB_DEPENDS+=  ofx.3:${PORTSDIR}/finance/libofx
 CONFIGURE_ARGS=        --with-backends="aqhbci aqdtaus aqofxconnect"
 CONFIGURE_ARGS+=--enable-libofx--tjywDuEtmL2OlYxg6PfIDGlPzE24MDRUrvkUJu1Tw1OXSnpm
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- finance/aqbanking/Makefile.orig     2008-06-19 11:32:55.000000000 -0700
+++ finance/aqbanking/Makefile  2008-06-29 01:44:27.000000000 -0700
@@ -17,7 +17,7 @@
How-To-Repeat: Install finance/aqbanking with "LibOFX support" enabled on an updated
ports tree. A different error is reached depending on whether or not
finance/libofx is already installed.
Comment 1 Pietro Cerutti freebsd_committer 2008-07-08 23:18:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gahr

I'll take it.
Comment 2 dfilter service freebsd_committer 2008-07-09 01:17:52 UTC
gahr        2008-07-09 00:17:39 UTC

  FreeBSD ports repository

  Modified files:
    finance/aqbanking    Makefile pkg-plist 
  Log:
  - Remove LibOFX optional support (off by default) until somebody fixes it
  
  PR:             125093
  Submitted by:   <mirror176@hotmail.com>
  
  Revision  Changes    Path
  1.11      +10 -10    ports/finance/aqbanking/Makefile
  1.7       +1 -1      ports/finance/aqbanking/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Pietro Cerutti freebsd_committer 2008-07-09 01:17:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!